Package twisted :: Package protocols :: Module dns :: Class SimpleRecord

[show private | hide private]
[frames | no frames]

## Class SimpleRecord

Known Subclasses:
  `Record_MB`, `Record_MF`, `Record_MG`, `Record_MR`, `Record_MD`, `Record_DNAME`, `Record_NS`, `Record_CNAME`, `Record_PTR`

A Resource Record which consists of a single RFC 1035 domain-name.

Method Summary
| `__init__(self, name)`
| `__eq__(self, other)`
| `__str__(self)`
| `decode(self, strio, length)`
| `encode(self, strio, compDict)`

Class Variable Summary
`tuple` | `__implements__`
`NoneType` | `name`
`NoneType` | `TYPE`

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class twisted.protocols.dns.IEncodable at 0x86de2ac>,)

### name

  Type:
    `NoneType`
  Value:

        None

### TYPE

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 1.1 on Thu May 8 13:18:36 2003 | http://epydoc.sf.net